Package org.eclipse.ui.internal

# Class WorkbenchIntroManager

java.lang.Object
org.eclipse.ui.internal.WorkbenchIntroManager

All Implemented Interfaces:
  `IIntroManager`

public class WorkbenchIntroManager extends Object implements IIntroManager
Workbench implementation of the IIntroManager interface.

Since:
  3.0

## Method Summary

Modifier and Type
Method
Description
`boolean`
`closeIntro(IIntroPart part)`
Closes the given intro part.
`IIntroPart`
`getIntro()`
Returns the intro part.
`boolean`
`hasIntro()`
Return whether an intro is available.
`boolean`
`isIntroStandby(IIntroPart part)`
Return the standby state of the given intro part.
`boolean`
`isNewContentAvailable()`
Returns `true` if there is an intro content detector and it reports that new intro content is available.
`void`
`setIntroStandby(IIntroPart part, boolean standby)`
Sets the standby state of the given intro part.
`IIntroPart`
`showIntro(IWorkbenchWindow preferredWindow, boolean standby)`
Shows the intro part in the given workbench window.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### closeIntro

public boolean closeIntro(IIntroPart part)
Description copied from interface: `IIntroManager`
Closes the given intro part.

Specified by:
  `closeIntro` in interface `IIntroManager`
Parameters:
  `part` - the intro part
Returns:
  `true` if the intro part was closed, and `false` otherwise. `false` is returned if part is `null` or it is not the intro part returned by `IIntroManager.getIntro()`.

### showIntro

public IIntroPart showIntro(IWorkbenchWindow preferredWindow, boolean standby)
Description copied from interface: `IIntroManager`
Shows the intro part in the given workbench window. If the intro part has not been created yet, one will be created. If the intro part is currently being shown in some workbench window, that other window is made active.

Specified by:
  `showIntro` in interface `IIntroManager`
Parameters:
  `preferredWindow` - the preferred workbench window, or `null` to indicate the currently active workbench window
  `standby` - `true` to put the intro part in its partially visible standy mode, and `false` to make it fully visible
Returns:
  the newly-created or existing intro part, or `null` if no intro part is available or if `preferredWindow` is `null` and there is no currently active workbench window

### setIntroStandby

public void setIntroStandby(IIntroPart part, boolean standby)
Description copied from interface: `IIntroManager`
Sets the standby state of the given intro part. Intro part usually should render themselves differently in the full and standby modes. In standby mode, the part should be partially visible to the user but otherwise allow them to work. In full mode, the part should be fully visible and be the center of the user's attention.

This method does nothing if the part is `null` or is not the intro part returned by `IIntroManager.getIntro()`.

Specified by:
  `setIntroStandby` in interface `IIntroManager`
Parameters:
  `part` - the intro part, or `null`
  `standby` - `true` to put the part in its partially visible standy mode, and `false` to make it fully visible.

### isIntroStandby

public boolean isIntroStandby(IIntroPart part)
Description copied from interface: `IIntroManager`
Return the standby state of the given intro part.

Specified by:
  `isIntroStandby` in interface `IIntroManager`
Parameters:
  `part` - the intro part
Returns:
  `true` if the part in its partially visible standy mode, and `false` if in its fully visible state. `false` is returned if part is `null` or it is not the intro part returned by `IIntroManager.getIntro()`.

### getIntro

public IIntroPart getIntro()
Description copied from interface: `IIntroManager`
Returns the intro part. Returns `null` if there is no intro part, if it has been previously closed via `IIntroManager.closeIntro(IIntroPart)` or if there is an intro part but `IIntroManager.showIntro(IWorkbenchWindow, boolean)` has not yet been called to create it.

Specified by:
  `getIntro` in interface `IIntroManager`
Returns:
  the intro part, or `null` if none is available

### hasIntro

public boolean hasIntro()
Description copied from interface: `IIntroManager`
Return whether an intro is available. Note that this checks whether there is an applicable intro part that could be instantiated and shown to the user. Use `IIntroManager.getIntro()` to discover whether an intro part has already been created.

Specified by:
  `hasIntro` in interface `IIntroManager`
Returns:
  `true` if there is an intro that could be shown, and `false` if there is no intro

### isNewContentAvailable

public boolean isNewContentAvailable()
Description copied from interface: `IIntroManager`
Returns `true` if there is an intro content detector and it reports that new intro content is available.

Specified by:
  `isNewContentAvailable` in interface `IIntroManager`
Returns:
  `true` if new intro content is available